{
  "definitions": {},
  "info": {
    "description": "powered by Flasgger",
    "termsOfService": "/tos",
    "title": "A swagger API",
    "version": "0.0.1"
  },
  "paths": {
    "/radio/report": {
      "get": {
        "responses": {
          "200": {
            "description": "A list of radio devices."
          }
        },
        "summary": "List radio devices available to the system."
      }
    },
    "/radio/{radio}/configure/{frequency}": {
      "get": {
        "description": "You must connect to the radio before attempting to configure it.<br/>The radio must be configured before streaming can be started.<br/>",
        "parameters": [
          {
            "description": "Radio device driver name, or serial number.",
            "in": "path",
            "name": "radio",
            "required": true,
            "type": "string"
          },
          {
            "description": "Frequency (in Hz) to tune the radio to. Suffixing is also supported, ie 87.5M, 108.0M, etc.",
            "in": "path",
            "name": "frequency",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "JSON"
          },
          "400": {
            "description": "The specified radio is not connected."
          }
        },
        "summary": "Tune the radio to a frequency."
      }
    },
    "/radio/{radio}/connect": {
      "get": {
        "parameters": [
          {
            "description": "Radio device driver name, or serial number.",
            "in": "path",
            "name": "radio",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully connected to a radio."
          },
          "400": {
            "description": "No radio device by that name is available."
          },
          "500": {
            "description": "Failed to connect to radio."
          }
        },
        "summary": "Connect to a radio device, by driver name or serial number."
      }
    },
    "/radio/{radio}/disconnect": {
      "get": {
        "parameters": [
          {
            "description": "Radio device driver name, or serial number.",
            "in": "path",
            "name": "radio",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully connected to a radio."
          },
          "400": {
            "description": "No radio device by that name is available."
          },
          "500": {
            "description": "An unknown error occurred."
          }
        },
        "summary": "Disconnect from a radio device."
      }
    },
    "/radio/{radio}/end": {
      "get": {
        "parameters": [
          {
            "description": "Radio device driver name, or serial number.",
            "in": "path",
            "name": "radio",
            "required": true,
            "type": "string"
          }
        ],
        "summary": "Terminate the radio stream."
      }
    },
    "/radio/{radio}/info": {
      "get": {
        "parameters": [
          {
            "description": "Radio device driver name, or serial number.",
            "in": "path",
            "name": "radio",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "JSON"
          },
          "400": {
            "description": "The specified radio is not connected."
          }
        },
        "summary": "Get information about a radio."
      }
    },
    "/radio/{radio}/start": {
      "get": {
        "description": "Once the stream has been started, connect to the stream at:<br/>rtsp://[host]:8554/radio/[radio]/stream<br/>",
        "parameters": [
          {
            "description": "Radio device driver name, or serial number.",
            "in": "path",
            "name": "radio",
            "required": true,
            "type": "string"
          }
        ],
        "summary": "Start the radio stream."
      }
    }
  },
  "swagger": "2.0"
}
